*-- This function unregisters an OCX/ActiveX control
*   or set of OCX/ActiveX controls based on the
*   name of file.
*-- Note: It works for OLE servers too.

FUNCTION UnregisterControl
*-- Parameters:
*      tcFileName = the name of the file that contains
*                   the control(s), including the path.
*-- Returns:
*      Logical TRUE if successful, FALSE otherwise.
*      Also returns FALSE if the file doesn't exist.
*-- Call sample:
*      llUnregistered = UnregisterControl("c:\windows\system\comctl32.ocx")

LPARAMETERS tcFileName
LOCAL llSuccess

IF FILE(tcFileName)
   DECLARE INTEGER DllUnregisterServer ;
      IN (tcFileName) ;
      AS __DllUnregisterServer__
   *-- This function returns 0 if successful
   IF __DllUnregisterServer__() = 0
      llSuccess = .T.
   ELSE
      llSuccess = .F.
   ENDIF
ELSE
   llSuccess = .F.
ENDIF

RETURN llSuccess